Skip to main content
POST
/
ml
/
projects
/
{id}
/
training
/
jobs
Create training job
curl --request POST \
  --url https://acusight.io/api/ml/projects/{id}/training/jobs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "config": [
    123
  ],
  "model_type": "<string>",
  "name": "<string>",
  "version_id": 123,
  "description": "<string>"
}
'
{
  "data": {
    "completed_at": "<string>",
    "config": [
      123
    ],
    "created_at": "<string>",
    "error_message": "<string>",
    "framework": "<string>",
    "id": 123,
    "latest_checkpoint_uri": "<string>",
    "model_type": "<string>",
    "model_version_id": 123,
    "name": "<string>",
    "progress": 123,
    "project_id": 123,
    "started_at": "<string>",
    "status": "<string>",
    "updated_at": "<string>",
    "version_id": 123
  },
  "error": {
    "code": "<string>",
    "details": "<string>",
    "message": "<string>"
  },
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Path Parameters

id
integer
required

Project ID

Body

application/json

Training job payload

config
integer[]
required
model_type
string
required

"yolov8n", "yolov8s", etc.

name
string
required
version_id
integer
required
description
string

Response

Training job queued

data
object
error
object
meta
object
success
boolean